<?php
use \common\libs\MyLib;
?>
<script type="text/javascript" language="javascript" src="/js/jquery-1.8.3.js"></script>
<script type="text/javascript" language="javascript" src="/js/datepicker/WdatePicker.js"></script>
<script type="text/javascript" language="javascript" src="/js/ajax.js"></script>
<script type="text/javascript" language="javascript" src="/js/func.js"></script>
<script type="text/javascript" language="javascript" src="/js/layer/layer.js"></script>
<script type="text/javascript" language="javascript">
    //详情
    function info(id,index) {
        var params = $('#searchForm').serialize();
        window.location.href = '/car/info-track?id=' + id + '&type=<?=$type?>' + '&next_index=' + index + '&back_params=' + encodeURIComponent(params);
    }

    $(function(){

        $("#search-btn").click(function(){
            $('#page').val(1);
            var params = $('#searchForm').serialize();
            window.location.href = "/track/all?" + params;
        });
        $('.invalid-btn').click(function(){
            if(confirm('是否确认无效?')) {
                var params = $('#listForm').serialize();
                var invalid_id = $('#invalid_id').val();
                params = params + '&invalid_id=' + invalid_id;
                $.post('/track/invalid-c',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('#all').click(function(){
            if($(this).prop('checked')==true) {
                $('input:checkbox').each(function() {
                    $(this).prop('checked', true);
                });
            } else {
                $('input:checkbox').each(function () {
                    $(this).prop('checked',false);
                });
            }
        });
        //数据平移
        $('#assign-other-btn').click(function () {
            if(confirm('是否确认平移?')) {
                var params = $('#listFrm').serialize();
                var user_id = $('#user_id').val();
                params = params + '&user_id=' + user_id;
                $.post('/appointment/assign-cpei',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        var day=<?=$_GET['day']?>
        //返回
        $('.back-btn').click(function(){
            if(day==1){
                window.location.href = "/track/today"
            }else{
                window.location.href = "/track/all"
            }

        });

    });
</script>

<form id="listFrm">
<table width="98%" border="0" align="center" cellpadding="2" cellspacing="1" class="table">
    <tr>
        <td width="24" align="center" class="bg_tr"><?php
            if($this->context->my->role_id==5)
                echo '序号';
            else
                echo '<input type="checkbox" id="all">';
            ?></td>
        <td width="50" align="center" class="bg_tr">预约日期</td>
        <td width="50" align="center" class="bg_tr">预约时间</td>
        <td width="70" align="center" class="bg_tr">车牌号</td>
        <td width="120" align="center" class="bg_tr">车主</td>
        <td width="70" align="center" class="bg_tr">初登日期</td>
        <td width="100" align="center" class="bg_tr" nowrap>商业止保日期</td>
        <td width="100" align="center" class="bg_tr" nowrap>交强止保日期</td>
        <td width="100" align="center" class="bg_tr" nowrap>截止剩余天数</td>
        <td width="200" align="center" class="bg_tr">预约备注</td>
        <td width="30" align="center" class="bg_tr">业务员</td>
        <td width="30" align="center" class="bg_tr">操作</td>
    </tr>
    <?php
    foreach($items as $index => $item) {
        $start_index = ($page-1) * 20 + $index;
        $car_info = $item->car;
        $Date_1=date("Y-m-d");
        $Date_2=$car_info->insurer1_date;
        $d1=strtotime($Date_1);
        $d2=strtotime($Date_2);
        $Days=round(($d2-$d1)/3600/24);

        ?>
        <tr onMouseOver=overColor(this) onMouseOut=outColor(this)>
            <td align="center" class="td_bg"nowrap ><?php
                if($this->context->my->role_id == 5)
                    echo $start_index + 1;
                else
                    echo '<input type="checkbox" name="ids[]" value="'.$car_info->id.'">';
                ?></td>
            <td align="center" class="td_bg" nowrap><?=$item->pdate?></td>
            <td align="center" class="td_bg" nowrap><?=$item->ptime?></td>
            <td class="td_bg" nowrap><?=$car_info->car_no?></td>
            <td class="td_bg" nowrap><?=$car_info->car_man?></td>
            <td class="td_bg" nowrap><?=$car_info->register_date?></td>
            <td class="td_bg" nowrap><?=$car_info->insurer1_date?></td>
            <td class="td_bg" nowrap><?=$car_info->insurer2_date?></td>
            <td class="td_bg" nowrap><?=$Days?></td>
            <td class="td_bg" ><?=MyLib::substr_cut($item->remark,40)?></td>
            <td class="td_bg" nowrap><?=$item->user?$item->user->getShowName():''?></td>
            <td align="center" class="td_bg" nowrap>
                [<a href="javascript:void(0);" onclick="info(<?=$item->car_id?>,<?=$start_index?>)">详情</a>]

            </td>
        </tr>
        <?php
    }
    ?>
    <tr>
        <td height="25" colspan="12" align="center" class="td_bg"><?=$page_info?></td>
    </tr>
    <tr><td height="25" colspan="12" align="center" class="td_bg"><input type="button" class="act_btn back-btn" name="Submit36" value=" 返回 "></td></tr>
</table>
</form>
